#include <bits/stdc++.h>
#define ll long long
using namespace std;
int main(){
ios::sync_with_stdio(0);
cin.tie(0);
    string s;
    cin >> s;
    int n = s.length();
    int ans = 1;
    for(int i=0;i<n/2;++i){
        if(s[i]!=s[n-1-i]){
            ans = n-((i+1)*2-1);
            break;
        }
    }
    cout << ans << '\n';
    return 0;
}